#extension GL_OES_EGL_image_external : enable 
precision highp float;

uniform samplerExternalOES uTexture;
uniform float uBlendAngle;
uniform float uWidth;
varying vec2 vTextureCoord;
varying vec4 vPosition;

void main() {
    gl_FragColor = texture2D(uTexture,vTextureCoord);
    float angle = (vPosition.x/uWidth + 0.5) * (180.0 + uBlendAngle);
    float x = angle/uBlendAngle;
    if(x <= 0.5) {
        x = 1.0;
    } else {
        x = 1.0 ;
    }
    gl_FragColor.a = x;
}
