precision highp float;
uniform sampler2D uTexture;
uniform float uBlendAngle;
varying vec2 vTextureCoord;
varying vec4 vPosition;
void main() {
    float pi = 3.141592653589793;

    if(vPosition.z <= 147.0) {
    	gl_FragColor = texture2D(uTexture,vTextureCoord);
    }else if(vPosition.z <= 247.0){
    	gl_FragColor = texture2D(uTexture,vTextureCoord);
    	gl_FragColor.a = 1.0 - (vPosition.z-147.0)/(10000.0)*(vPosition.z-147.0);
    }else{
        gl_FragColor = vec4(0.0,0.0,0.0,1.0);
    }
}

